<ngx-loading [show]="loading" [config]="{
    backdropBackgroundColour: 'rgba(0, 0, 0, 0.3)',
    primaryColour: '#ffffff', secondaryColour: '#ffffff', tertiaryColour: '#ffffff', fullScreenBackdrop: true }"></ngx-loading>

<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>Daftar Pengkajian Awal IGD</h4>
        </div>
    </div>
    <div class="card-block">
        <div class="dt-responsive dt-bootstrap4 row p-20">
            <div class="col-xs-12 col-sm-12 col-sm-12 col-md-6">
                <div>
                    <label class="label-control">Tampilkan
                        <select class="form-control input-sm full-data-show-entry" [(ngModel)]="rowsOnPage">
                            <option [ngValue]="10">10</option>
                            <option [ngValue]="25">25</option>
                            <option [ngValue]="50">50</option>
                            <option [ngValue]="100">100</option>
                        </select>
                        Entri
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6">
                <div class="text-right">
                    <label>Cari:
                        <input type="search" [(ngModel)]="filterQuery" class="form-control input-sm full-data-search">
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12" style="overflow-x:auto;">
                <table dt-options="dtOptions" class="table table-striped table-bordered table-responsive full-data-table text-center pull-center" [mfData]="data | dataFilterActivities : filterQuery | dataFilterStatus : filterStatus"
                #mf="mfDataTable" [mfRowsOnPage]="rowsOnPage" [(mfSortBy)]="sortBy" [(mfSortOrder)]="sortOrder">
                    <thead>
                        <tr>
                            <th width="10%"><mfDefaultSorter by="noReg">No.Registrasi</mfDefaultSorter></th>
                            <th width="15%"><mfDefaultSorter by="kdRm">No.Rekam Medis</mfDefaultSorter></th>
                            <th width="15%"><mfDefaultSorter by="nama">Nama Pasien</mfDefaultSorter></th>
                            <th width="10%"><mfDefaultSorter by="kdJk">Jenis Kelamin</mfDefaultSorter></th>
                            <th width="10%"><mfDefaultSorter by="umur">Umur</mfDefaultSorter></th>
                            <th width="20%"><mfDefaultSorter by="triase">Triase</mfDefaultSorter></th>
                            <!-- <th width="15%"><mfDefaultSorter by="tindakan">Tindakan</mfDefaultSorter></th> -->
                            <th width="15%"><mfDefaultSorter by="namaPerawat">Nama Perawat</mfDefaultSorter></th>
                            <!-- <th width="15%"><mfDefaultSorter by="namaDokter">Nama Dokter</mfDefaultSorter></th> -->
                            <th width="15%"><mfDefaultSorter by="">Aksi</mfDefaultSorter></th>
                        </tr>
                    </thead>
                    <tbody *ngIf="data!=null && data!=''">
                        <tr *ngFor="let item of mf.data">
                            <td>{{item.noReg}}</td>
                            <td>{{item.kdRm}}</td>
                            <td>{{item.nama}}</td>
                            <td>{{item.kdJk}}</td>
                            <td>{{item.umur}} th</td>
                            <td>{{item.triase}}</td>
                            <!-- <td>{{item.tindakan}}</td> -->
                            <td>{{item.namaPerawat}}</td>
                            <!-- <td>{{item.namaDokter}}</td> -->
                            <td>
                                <button type="button" [routerLink]="['/RJ07-detail',item.idRj0701]" class="btn btn-primary btn-sm text-center">
                                    <i class="icofont icofont-eye-alt"></i> Lihat Detail
                                </button>
                            </td>
                        </tr>
                    </tbody>
                    <tfoot>
                        <tr *ngIf="data!=null">
                            <td colspan="10"><mfBootstrapPaginator class="pagination-main f-right"></mfBootstrapPaginator></td>
                        </tr>
                        <tr *ngIf="data==null">
                            <td colspan="10" class="text-center">Memuat data...</td>
                        </tr>
                        <tr *ngIf="data==''">
                            <td colspan="10" class="text-center">Data kosong</td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
</div>